﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using Microsoft.Win32;
using System.Data;

namespace DBase_Test {
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window {
        public MainWindow()
        {
            InitializeComponent();
            String strValue = "1234.5500";
            Decimal decValue;
            Decimal erg;
            if (Decimal.TryParse(strValue,
                System.Globalization.NumberStyles.AllowDecimalPoint | System.Globalization.NumberStyles.AllowLeadingSign,
                System.Globalization.CultureInfo.InvariantCulture, out decValue))
                erg = decValue;
            else
                erg = 0.0m;

        }

        private void bnOpendBase_Click(object sender, RoutedEventArgs e)
        {
            OpenFileDialog openFileDialog1 = new OpenFileDialog();
            openFileDialog1.Filter = "dBase (*.dbf)|*.dbf|Alle Dateien (*.*)|*.*";
            openFileDialog1.FilterIndex = 1;// zählt von 1 !
            openFileDialog1.DefaultExt = ".dbf";
            openFileDialog1.InitialDirectory = Environment.CurrentDirectory;
            openFileDialog1.Multiselect = false;
            openFileDialog1.RestoreDirectory = true;
            openFileDialog1.FileName = "test.dbf";
            if (openFileDialog1.ShowDialog() == true) {
                String filename = openFileDialog1.FileName;
                readDbaseFile(filename);
            }
        }

        private void readDbaseFile(String filename)    {
            String path;
            String name;
            String ext;
            Basis.splitFilename(filename, out path, out name, out ext);
            StringBuilder sb = new StringBuilder();
            String sql = "SELECT * FROM " + name;
            DataRowCollection dtRows = DbsdBase.selectdBase(path, sql);
            if (dtRows == null) {
                sb.AppendLine("  Die Datei " + name + ext + " konnte nicht geöffnet werden ");
            }
            else {
                foreach (System.Data.DataRow row in dtRows) {
                    String item1 = (String)(row.ItemArray[0]).ToString();
                    String item2 = (String)(row.ItemArray[1]).ToString();
                    String item3 = (String)(row.ItemArray[2]).ToString();
                    String item4 = (String)(row.ItemArray[3]).ToString();
                    sb.AppendLine("  "+item1 + "    " + item2 + "    " + item3 + "    " + item4);
                }

            }
            editor.Text = sb.ToString();
        }  // readDbaseFile

        private void bnOpendBase2_Click(object sender, RoutedEventArgs e)    {
            OpenFileDialog openFileDialog1 = new OpenFileDialog();
            openFileDialog1.Filter = "dBase (*.dbf)|*.dbf|Alle Dateien (*.*)|*.*";
            openFileDialog1.FilterIndex = 1;// zählt von 1 !
            openFileDialog1.DefaultExt = ".dbf";
            openFileDialog1.InitialDirectory = Environment.CurrentDirectory;
            openFileDialog1.Multiselect = false;
            openFileDialog1.RestoreDirectory = true;
            if (openFileDialog1.ShowDialog() == true) {
                DBase db = new DBase();
                editor.Text = db.readdBaseFile(openFileDialog1.FileName);                
            }

        }
    }



}
